BraseroTrackData
3
BRASERO Library

# BraseroTrackData

## Synopsis

                        BraseroGraftPt;
    void                brasero_graft_point_free            (BraseroGraftPt *graft);
    BraseroGraftPt *    brasero_graft_point_copy            (BraseroGraftPt *graft);
                        BraseroTrackData;
    BraseroTrackData *  brasero_track_data_new              (void);
    BraseroBurnResult   brasero_track_data_set_source       (BraseroTrackData *track,
                                                             GSList *grafts,
                                                             GSList *unreadable);
    BraseroBurnResult   brasero_track_data_add_fs           (BraseroTrackData *track,
                                                             BraseroImageFS fstype);
    BraseroBurnResult   brasero_track_data_rm_fs            (BraseroTrackData *track,
                                                             BraseroImageFS fstype);
    BraseroBurnResult   brasero_track_data_set_data_blocks  (BraseroTrackData *track,
                                                             goffset blocks);
    BraseroBurnResult   brasero_track_data_set_file_num     (BraseroTrackData *track,
                                                             guint64 number);
    GSList *            brasero_track_data_get_grafts       (BraseroTrackData *track);
    GSList *            brasero_track_data_get_excluded     (BraseroTrackData *track,
                                                             gboolean copy);
    BraseroBurnResult   brasero_track_data_get_paths        (BraseroTrackData *track,
                                                             gboolean use_joliet,
                                                             const gchar *grafts_path,
                                                             const gchar *excluded_path,
                                                             const gchar *emptydir,
                                                             const gchar *videodir,
                                                             GError **error);
    BraseroBurnResult   brasero_track_data_get_file_num     (BraseroTrackData *track,
                                                             guint64 *num_files);
    BraseroImageFS      brasero_track_data_get_fs           (BraseroTrackData *track);

## Description

## Details

### BraseroGraftPt

    typedef struct {
    	gchar *uri;
    	gchar *path;
    } BraseroGraftPt;

### brasero_graft_point_free ()

    void                brasero_graft_point_free            (BraseroGraftPt *graft);

`graft` :

### brasero_graft_point_copy ()

    BraseroGraftPt *    brasero_graft_point_copy            (BraseroGraftPt *graft);

`graft` :

Returns :

### BraseroTrackData

    typedef struct {
    	BraseroTrack parent_instance;
    } BraseroTrackData;

### brasero_track_data_new ()

    BraseroTrackData *  brasero_track_data_new              (void);

Returns :

### brasero_track_data_set_source ()

    BraseroBurnResult   brasero_track_data_set_source       (BraseroTrackData *track,
                                                             GSList *grafts,
                                                             GSList *unreadable);

`track` :

`grafts` :

`unreadable` :

Returns :

### brasero_track_data_add_fs ()

    BraseroBurnResult   brasero_track_data_add_fs           (BraseroTrackData *track,
                                                             BraseroImageFS fstype);

`track` :

`fstype` :

Returns :

### brasero_track_data_rm_fs ()

    BraseroBurnResult   brasero_track_data_rm_fs            (BraseroTrackData *track,
                                                             BraseroImageFS fstype);

`track` :

`fstype` :

Returns :

### brasero_track_data_set_data_blocks ()

    BraseroBurnResult   brasero_track_data_set_data_blocks  (BraseroTrackData *track,
                                                             goffset blocks);

`track` :

`blocks` :

Returns :

### brasero_track_data_set_file_num ()

    BraseroBurnResult   brasero_track_data_set_file_num     (BraseroTrackData *track,
                                                             guint64 number);

`track` :

`number` :

Returns :

### brasero_track_data_get_grafts ()

    GSList *            brasero_track_data_get_grafts       (BraseroTrackData *track);

`track` :

Returns :

### brasero_track_data_get_excluded ()

    GSList *            brasero_track_data_get_excluded     (BraseroTrackData *track,
                                                             gboolean copy);

`track` :

`copy` :

Returns :

### brasero_track_data_get_paths ()

    BraseroBurnResult   brasero_track_data_get_paths        (BraseroTrackData *track,
                                                             gboolean use_joliet,
                                                             const gchar *grafts_path,
                                                             const gchar *excluded_path,
                                                             const gchar *emptydir,
                                                             const gchar *videodir,
                                                             GError **error);

`track` :

`use_joliet` :

`grafts_path` :

`excluded_path` :

`emptydir` :

`videodir` :

`error` :

Returns :

### brasero_track_data_get_file_num ()

    BraseroBurnResult   brasero_track_data_get_file_num     (BraseroTrackData *track,
                                                             guint64 *num_files);

`track` :

`num_files` :

Returns :

### brasero_track_data_get_fs ()

    BraseroImageFS      brasero_track_data_get_fs           (BraseroTrackData *track);

`track` :

Returns :